<?php

namespace App\Services;

use GuzzleHttp\Client;

class CPanelService
{
    protected $client;
    protected $cpanelUrl;
    protected $username;
    protected $apiToken;
    protected $domain;

    public function __construct()
    {
        $this->client = new Client();
        $this->cpanelUrl = env('CPANEL_API_URL');
        $this->username = env('CPANEL_USERNAME');
        $this->apiToken = env('CPANEL_API_TOKEN');
        $this->domain = env('CPANEL_DOMAIN');
    }

    public function createForwarder($source, $destination)
    {
        $endpoint = "{$this->cpanelUrl}/execute/Email/add_forwarder";
        $response = $this->client->post($endpoint, [
            'headers' => [
                'Authorization' => 'cpanel ' . $this->username . ':' . $this->apiToken,
            ],
            'form_params' => [
                'domain' => $this->domain,
                'email' => $source,
                'fwdopt' => 'fwd',
                'fwdemail' => $destination
            ],
        ]);

        $body = json_decode($response->getBody(), true);

        return $body;
    }
}
